Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.Control Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Control:

## Public Member Functions
def | Control (other)
| Constructor, with another form control object. More...
def | GetAlignment ()
| Get the alignment value. More...
def | GetDefaultAppearance ()
| Get the default appearance data. More...
def | GetExportValue ()
| Get export mapping name when related form field is check box or radio button. More...
def | GetField ()
| Get the related form field. More...
def | GetIndex ()
| Get the index of current form control among all the controls of related form field. More...
def | GetWidget ()
| Get the related widget annotation. More...
def | GetWidgetDict ()
| Get the dictionary of related widget annotation. More...
def | IsChecked ()
| Check if the current form control is checked when related form field is check box or radio button. More...
def | IsDefaultChecked ()
| Check if the current form control is checked by default when related form field is check box or radio button. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetAlignment (alignment)
| Set alignment property of current form control. More...
def | SetChecked (checked_status)
| Set the check state of current form control when related form field is check box or radio button. More...
def | SetDefaultAppearance (default_ap)
| Set default appearance data. More...
def | SetDefaultChecked (checked_status)
| Set the default check state of current form control when related form field is check box or radio button. More...
def | SetExportValue (value)
| Set export mapping name when related form field is check box or radio button. More...

## Detailed Description

Foxit PDF SDK defines "form control" to associate form field with its related widget annotations. A form field may have one or more form controls, and each form control is associated with a widget annotation. A form control object can be retrieved by following functions:

- from a form, please use function FoxitPDFSDKPython2.Form.GetControl .
- from a form field, please use functions FoxitPDFSDKPython2.Field.GetControl .

Form control also offers functions to get related form field object and widget annotation object.
Function FoxitPDFSDKPython2.Form.AddControl can be used to add a new form control to a form field, and function FoxitPDFSDKPython2.Form.RemoveControl can be used to remove a form control.

See also
  Form
  Field

## Constructor & Destructor Documentation

## ◆ Control()

def FoxitPDFSDKPython2.Control.Control | ( |  | other | ) |

Constructor, with another form control object.

Parameters

  [in] | other | Another form control object.

## Member Function Documentation

## ◆ GetAlignment()

def FoxitPDFSDKPython2.Control.GetAlignment | ( |  | ) |

Get the alignment value.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Returns
  Alignment value. Please refer to values starting from FoxitPDFSDKPython2.e_AlignmentLeft and this would be one of these values.

## ◆ GetDefaultAppearance()

def FoxitPDFSDKPython2.Control.GetDefaultAppearance | ( |  | ) |

Get the default appearance data.

Returns
  The default appearance data.

## ◆ GetExportValue()

def FoxitPDFSDKPython2.Control.GetExportValue | ( |  | ) |

Get export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return an empty string.

Returns
  The export mapping name.

## ◆ GetField()

def FoxitPDFSDKPython2.Control.GetField | ( |  | ) |

Get the related form field.

Returns
  The related form field object.

## ◆ GetIndex()

def FoxitPDFSDKPython2.Control.GetIndex | ( |  | ) |

Get the index of current form control among all the controls of related form field.

Returns
  The index of the form control.

## ◆ GetWidget()

def FoxitPDFSDKPython2.Control.GetWidget | ( |  | ) |

Get the related widget annotation.

Returns
  The related widget annotation.

## ◆ GetWidgetDict()

def FoxitPDFSDKPython2.Control.GetWidgetDict | ( |  | ) |

Get the dictionary of related widget annotation.

Returns
  Dictionary of related widget annotation. If there is any error, the function will return null.

## ◆ IsChecked()

def FoxitPDFSDKPython2.Control.IsChecked | ( |  | ) |

Check if the current form control is checked when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked, and false means not checked.

## ◆ IsDefaultChecked()

def FoxitPDFSDKPython2.Control.IsDefaultChecked | ( |  | ) |

Check if the current form control is checked by default when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will return false.

Returns
  true means checked by default, and false means not checked by default.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.Control.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAlignment()

def FoxitPDFSDKPython2.Control.SetAlignment | ( |  | alignment | ) |

Set alignment property of current form control.

Alignment is a property for variable text and it is only useful for text field, list box and combo box as related form field, which may contain variable text as their content.
If related form field is a text field or list box and it has its own alignment value, the document-wide default alignment value will be ignored; otherwise, the document-wide default alignment value will be used in this case.

Parameters

  [in] | alignment | New default alignment type of variable text. Please refer to values starting from FoxitPDFSDKPython2.e_AlignmentLeft and this should be one of these values. If other values is used to set, FoxitPDFSDKPython2.e_AlignmentLeft will be used by default.

Returns
  None.

## ◆ SetChecked()

def FoxitPDFSDKPython2.Control.SetChecked | ( |  | checked_status | ) |

Set the check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked, and false means not checked.

Returns
  None.

## ◆ SetDefaultAppearance()

def FoxitPDFSDKPython2.Control.SetDefaultAppearance | ( |  | default_ap | ) |

Set default appearance data.

Parameters

  [in] | default_ap | The new default appearance. flags of input data can be used to decide which information is/are to be updated with the new data; for those no updated data, they will keep to use old data. If text_size of input default appearance data is 0, that means the text size should be calculated automatically.

Returns
  None.

## ◆ SetDefaultChecked()

def FoxitPDFSDKPython2.Control.SetDefaultChecked | ( |  | checked_status | ) |

Set the default check state of current form control when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | checked_status | true means checked by default, and false means not checked by default.

Returns
  None.

## ◆ SetExportValue()

def FoxitPDFSDKPython2.Control.SetExportValue | ( |  | value | ) |

Set export mapping name when related form field is check box or radio button.

Applicable for check box and radio button as related form field. If related form field is other field type, this function will do nothing.

Parameters

  [in] | value | The new export mapping name. It should not be an empty string.

Returns
  None.